%global pypiname Send2Trash
%define py_setup setup.py

Name:           python-send2trash
Version:        1.8.0
Release:        %mkrel 1
Summary:        Python library to natively send files to Trash

License:        BSD
URL:            https://github.com/hsoft/send2trash
Group:          Development/Python

# PyPI sdist lacks tests
Source0:        %url/archive/%{version}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(pytest)

%description
Send2Trash is a small package that sends files to the Trash (or Recycle Bin)
natively and on all platforms. On OS X, it uses native FSMoveObjectToTrashSync
Cocoa calls, on Windows, it uses native (and ugly) SHFileOperation win32 calls.
On other platforms, if PyGObject and GIO are available, it will use this.
Otherwise, it will fallback to its own implementation of the trash specifications
from freedesktop.org.

%package -n python3-send2trash
Summary:        Python library to natively send files to Trash
Provides:       python3-%{pypiname} == %{version}-%{release}

%{?python_provide:%python_provide python3-%{pypiname}}
%{?python_provide:%python_provide python3-send2trash}

%description -n python3-send2trash
Send2Trash is a small package that sends files to the Trash (or Recycle Bin)
natively and on all platforms. On OS X, it uses native FSMoveObjectToTrashSync
Cocoa calls, on Windows, it uses native (and ugly) SHFileOperation win32 calls.
On other platforms, if PyGObject and GIO are available, it will use this.
Otherwise, it will fallback to its own implementation of the trash specifications
from freedesktop.org.

%prep
%setup -q -n send2trash-%{version}

%build
%py3_build

%install
%py3_install

%if 0
%check
%{__python3} setup.py test
%endif

%files -n python3-send2trash
%license LICENSE
%doc README.rst CHANGES.rst
%{_bindir}/send2trash
%{python3_sitelib}/send2trash/
%{python3_sitelib}/%{pypiname}-%{version}-py?.?.egg-info


%changelog
* Tue Sep 06 2022 papoteur <papoteur> 1.8.0-1.mga8
+ Revision: 1884633
- new 1.8.0 for jupyter-notebook update (mga#30664)

* Sun Feb 16 2020 umeabot <umeabot> 1.5.0-5.mga8
+ Revision: 1532622
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.5.0-4.mga8
+ Revision: 1442587
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.5.0-3.mga7
+ Revision: 1354359
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1290015
- Mageia 7 Mass Rebuild

* Sun Mar 18 2018 joequant <joequant> 1.5.0-1.mga7
+ Revision: 1210319
- imported package python-send2trash

